package org.springblade.modules.app.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springblade.modules.app.common.dto.ProblemBackDTO;
import org.springblade.modules.app.common.query.ProblemBackQuery;
import org.springblade.modules.app.entity.ProblemBackDO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 问题反馈表 服务类
 * </p>
 *
 * @author zhangK
 * @since 2022-01-13
 */
public interface IProblemBackService extends IService<ProblemBackDO> {

    Long insert(ProblemBackDTO dto);

    Page<ProblemBackDTO> page(ProblemBackQuery query, List<Long> ids);

    ProblemBackDTO infoById(Long id);

    Boolean update(ProblemBackDTO dto);

}
